*** a/doc/src/sgml/config.sgml
--- b/doc/src/sgml/config.sgml
***************
*** 2311,2316 **** include_dir 'conf.d'
--- 2311,2339 ----
          but at the cost of some extra CPU spent on the compression during
          WAL logging and on the decompression during WAL replay.
         </para>
+ 
+        <warning>
+         <para>
+          When enabling <varname>wal_compression</varname>, there is a risk
+          to leak data similarly to the
+          <ulink url="http://en.wikipedia.org/wiki/BREACH_%28security_exploit%29">
+          BREACH</ulink> and <ulink url="http://en.wikipedia.org/wiki/CRIME">
+          CRIME</ulink> attacks on SSL where the compression ratio of a full
+          page image gives a hint of what is the existing data of this page.
+          Tables that contain sensitive information like
+          <structname>pg_authid</structname> with password data could be
+          potential targets to such attacks. Such attacks are less likely to
+          occur in practice because an attacker has to be able to insert data
+          on the same page as the data targeted, to detect occurrences of
+          checkpoint, and to calculate the compression ratio of a full page
+          image by accessing to information on WAL position. Also an attacker
+          has to repeat many times the attempts to obtain the hint of data
+          from the compression ratio, which would take a long time.
+          Therefore this vulnerability is practically quite cumbersome to
+          exploit, but it's doable. If this risk of data leakage should be
+          avoided, <varname>wal_compression</varname> needs to be disabled.
+         </para>
+        </warning>
        </listitem>
       </varlistentry>
  
